# Builder

data class Builder (var bitlink: String )(source)

Configures the update parameters of a Bitlink.

See the Bit.ly API for more information.

## Constructors

Builder
Link copied to clipboard
constructor(bitlink: String )

## Properties

archived
Link copied to clipboard
var archived : Boolean
bitlink
Link copied to clipboard
var bitlink : String
deeplinks
Link copied to clipboard
var deeplinks : UpdateDeeplinks
tags
Link copied to clipboard
var tags : Array < String >
title
Link copied to clipboard
var title : String
toJson
Link copied to clipboard
var toJson : Boolean

## Functions

archived
Link copied to clipboard
fun archived (archived: Boolean ): UpdateConfig.Builder
bitlink
Link copied to clipboard
fun bitlink (bitlink: String ): UpdateConfig.Builder

A Bitlink made of the domain and hash.

build
Link copied to clipboard
fun build (): UpdateConfig

Builds the configuration.

deeplinks
Link copied to clipboard
fun deeplinks (deeplinks: UpdateDeeplinks ): UpdateConfig.Builder
tags
Link copied to clipboard
fun tags (tags: Array < String >): UpdateConfig.Builder
title
Link copied to clipboard
fun title (title: String ): UpdateConfig.Builder
toJson
Link copied to clipboard
fun toJson (toJson: Boolean ): UpdateConfig.Builder

Returns the full JSON response if `true`.